@echo off
;
rem TESTDEF3.DAT 0x1234, 128 bytes
;
rem Convert PAGE0000.TXT to packet file with sync 0xaabbccdd, 297 bytes length
rem convert back to text (TEMP.TXT)
rem compare
;
rem delete temporary files
if exist temp.dat del temp.dat
if exist temp.txt del temp.txt
;
copy page0000.297 page0000.bin
echo cOnverting page0000.txt to a packet file 'temp.dat', sync 0xaabbccdd, 297 byte length
ftopkt infile:PAGE0000.TXT outfile:temp.dat page:page0000.bin
pause
pkttof infile:temp.dat outfile:temp.txt ftopkt=off page:page0000.bin
pause
echo restoring original page0000.bin from the default page0000.def
copy page0000.def page0000.bin
dir temp.txt
dir page0000.txt
;
rem echo deleting temporary files...
rem del temp.txt
rem del temp.dat
echo test.bat completed.
